## org.apache.myfaces.renderkit.html.util
Class HTMLEncoder

    java.lang.Object
      org.apache.myfaces.renderkit.html.util.HTMLEncoder

public abstract class HTMLEncoder
extends java.lang.Object

Converts Strings so that they can be used within HTML-Code.

Constructor Summary
`HTMLEncoder()`

Method Summary
`static java.lang.String` `encode(java.lang.String string)` Variant of `encode(java.lang.String)` where encodeNewline is false and encodeNbsp is true.
`static java.lang.String` `encode(java.lang.String string, boolean encodeNewline)` Variant of `encode(java.lang.String)` where encodeNbsp is true.
`static java.lang.String` `encode(java.lang.String string, boolean encodeNewline, boolean encodeSubsequentBlanksToNbsp)` Encodes the given string, so that it can be used within a html page.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLEncoder

    public HTMLEncoder()

Method Detail

### encode

    public static java.lang.String encode(java.lang.String string)

  Variant of `encode(java.lang.String)` where encodeNewline is false and encodeNbsp is true.

### encode

    public static java.lang.String encode(java.lang.String string,
                                          boolean encodeNewline)

  Variant of `encode(java.lang.String)` where encodeNbsp is true.

### encode

    public static java.lang.String encode(java.lang.String string,
                                          boolean encodeNewline,
                                          boolean encodeSubsequentBlanksToNbsp)

  Encodes the given string, so that it can be used within a html page.

  Parameters:
    `string` - the string to convert
    `encodeNewline` - if true newline characters are converted to <br>'s
    `encodeSubsequentBlanksToNbsp` - if true subsequent blanks are converted to &nbsp;'s